import _toConsumableArray from "@babel/runtime/helpers/esm/toConsumableArray";
import moment from 'moment';
import { DISPLAY_FORMAT, ISO_FORMAT, ADDITIONAL_INPUT_FORMATS } from '../constants';
export default function toMomentObject(dateString, customFormat) {
  var dateFormats = customFormat ? [customFormat].concat(_toConsumableArray(ADDITIONAL_INPUT_FORMATS), [DISPLAY_FORMAT, ISO_FORMAT]) : [].concat(_toConsumableArray(ADDITIONAL_INPUT_FORMATS), [DISPLAY_FORMAT, ISO_FORMAT]);
  var date = moment(dateString, dateFormats, true);
  return date.isValid() ? date.hour(12) : null;
}